This API adds or removes users from the Global Control Group (GCG) in MoEngage. Provide a publicly accessible CSV of user IDs and specify whether to add or remove those users.
Documentation Index
Fetch the complete documentation index at: https://moengage.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
file_url.updated_by summarizing the number of users successfully processed, the number of users that failed, and the possible reasons.Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.
For more information on authentication and getting your credentials, refer here.
This is the Workspace ID of your MoEngage account that must be passed with the request. You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
Request to add or remove users from the Global Control Group (GCG).
Unique identifier of the request to update the Global Control Group.
"{{request_id}}"
Publicly accessible URL of the CSV file for processing. The file must contain a single column named uid followed by the respective user IDs in new rows. The file must be under 300 MB and downloadable without authentication.
Note: Currently, only publicly accessible Amazon S3 URLs are supported.
"https://example.csv"
The operation to perform on users in the Global Control Group.
add, remove The email ID of the user initiating the update.
No Content - The request was processed successfully. There is no response body.